--- old/usr/src/uts/common/crypto/io/blowfish.c	sam. juil. 16 15:13:41 2016
+++ new/usr/src/uts/common/crypto/io/blowfish.c	sam. juil. 16 15:13:41 2016
@@ -52,8 +52,8 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	(void *)&modlcrypto,
-	NULL
+	{   (void *)&modlcrypto,
+	    NULL }
 };
 
 /*
@@ -166,23 +166,23 @@
 };
 
 static crypto_ops_t blowfish_crypto_ops = {
-	&blowfish_control_ops,
-	NULL,
-	&blowfish_cipher_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&blowfish_ctx_ops
+	.co_control_ops = &blowfish_control_ops,
+	.co_digest_ops = NULL,
+	.co_cipher_ops = &blowfish_cipher_ops,
+	.co_mac_ops = NULL,
+	.co_sign_ops = NULL,
+	.co_verify_ops = NULL,
+	.co_dual_ops = NULL,
+	.co_dual_cipher_mac_ops = NULL,
+	.co_random_ops = NULL,
+	.co_session_ops = NULL,
+	.co_object_ops = NULL,
+	.co_key_ops = NULL,
+	.co_provider_ops = NULL,
+	.co_ctx_ops = &blowfish_ctx_ops
 };
 
-static crypto_provider_info_t blowfish_prov_info = {
+static crypto_provider_info_t blowfish_prov_info = {{{{
 	CRYPTO_SPI_VERSION_1,
 	"Blowfish Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -191,7 +191,7 @@
 	&blowfish_crypto_ops,
 	sizeof (blowfish_mech_info_tab)/sizeof (crypto_mech_info_t),
 	blowfish_mech_info_tab
-};
+}}}};
 
 
 static crypto_kcf_provider_handle_t blowfish_prov_handle = NULL;
